unit CommType;

interface

uses Objects, TCIGlobl, TimeType;

type
  TDateTimeArray = array[0..9360] of TTCIDateTime;

  TNetAddress = record
    Zone    : word;
    System  : word;
    SP      : word;
    MD      : word;
  end;

  PObjectCfg = ^TObjectCfg;
  TObjectCfg = record
    Address : TNetAddress;
    Channel : byte;
    Phone     : string[30];
    Options   : word;
    Baud      : word; { 115200 div bps }
    CurFactor,
    SumFactor,
    ArrFactor : word;
    HotTime : word;
  end;

  TMainCfg = record
    NetZone   : word;
    NetSystem : word;
  end;

implementation

end.

