unit TimeType;

interface
type
   TTimeStruc = record
    Hour : Byte;
    Min  : Byte;
    Sec  : Byte;
   end;

   PDateStruc = ^TDateStruc;
   TDateStruc = record
     Year  : Word;
     Month : Byte;
     Day   : Byte;
   end;

   TDateTimeStruc = record
     Time : TTimeStruc;
     Date : TDateStruc;
   end;

   TDateRec = record
     Year, Month, Day, DoW : Byte;
   end;

   TShortTime = record
     Hour, Min : ShortInt;
   end;

   TTCIDateTime = record
     case Integer of
  0: (Year, Month, Day, DayOfWeek: Byte;
      Hour, Min, Sec             : Byte);
  1: (Date: TDateRec;
      Time: TTimeStruc);
   end;

implementation
end.
